# SINFOD

## NAME

| sinfod - a monitoring tool for networked computers

## SYNOPSIS

| sinfod [-F] [-q] [-V] [-b #.#.#.#] [-c] [-n card ] [ -N nicevalue ] [ -m marker ] [ -i processname ] [-s][-W]

## DESCRIPTION

sinfod distributes system information to other sinfods on your local network.

These Information include the system load, memory utilization and the ‘TOP-5’ processes on every machine.

It’s main advantage is, that these informations are broadcasted using the udp(7) protocol.

If each node broadcasts it’s information in a cooperative manner, the network load is O(N), where N is the number of nodes in your network. Other systems to monitor your cluster load (e.g. rup(1) ) are using a polling scheme where every node has to ask every other node for the system information: In that case the network load is O(N**2).

The task of sinfod is to broadcast the relevant information for the local node and to collect broadcasts from other nodes. Other programs ( sinfo(1) ) can get access to this information via a simple tcp(7) connection that normally is routed through the local loopback interface.

## OPTIONS

| -F/--foreground

| Unlike normal operation, sinfod will not detach from the terminal when given this option. Some debugging informations will be visible.

| -q/--quiet

| Start quietly - for init scripts.

| -V/--version

| Print the version number and exit.

| -b #.#.#.#/--bcastaddress=#.#.#.#

| Set the broadcast address of the sinfod. Default is 255.255.255.255. In you want to run sinfod without a network card "−b 127.0.0.1" may be necessary.

| -c/--cmdline

| Broadcast the full command line of a process instead of the command only.

| -m marker/--marker=marker

| Mark the machine with a name. e.g. laboratory, pool or cluster.

| -i/--ignore <process>

| Don’t broadcast any information on <process> ; --ignore may be set multiple times.

| -t/--top <count>

| Broadcast information on the top <count> processes; default: 5

| -n card/--networkcard=card

| Set the name of the network card whose informations will be broadcasted. (e.g. eth0). Default is the network card that saw the most traffic at the start of sinfod.

| -N nicevalue/--nice=nicevalue

| Set the priority of this demon to nicevalue. Default is 15.

| -s/--spymode

| Deactivate the TCP interface and the collection of received packets. The demon starts in a broadcast-only mode.

| -W/--watchdog

| Start with simple watchdog.

## AUTHOR

| Juergen Rinas <jrinas@gmx.de>

## SEE ALSO

| sinfo(1),sshallsinfo(1),